Skip to content

Fetch Single Task

GET https://www.kkiai.com/suno/fetch/{task_id}

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Path Parameters

Parameter NameTypeRequiredDescription
task_idstringRequired

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

cURL Example

bash
curl --location --request GET 'https://www.kkiai.com/suno/fetch/b967838b-d377-478d-9a57-d7ca6129ae60' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
codestringRequired
datastringRequired
messagestringRequired

Response Example

json
{
    "code": "success",
    "data": "47443cc1-4902-42ae-ae7f-72a9900544e9",
    "message": ""
}